For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • POSTAdd Interac Account
      • POSTCreate Bank Account
      • POSTCreate Bank Account (v2)
      • POSTCreate Debit Card
      • POSTCreate Iban Account
      • POSTCreate Pix Account
      • POSTCreate Transactions
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Card
      • DELDelete Withdrawer EFT Account
      • DELDelete Withdrawer Iban Account
      • DELDelete Withdrawer Pix Account
      • GETGet Balances
      • POSTGet Message (EVM USDC/SBC/EuroE only)
      • GETGet Quote
      • GETGet Quote Exact Out
      • GETGet Withdrawer
      • GETGet Withdrawer History
      • POSTLink Paypal Account
      • POSTLink Venmo Account
      • POSTRegister Business
      • POSTRegister User
      • POSTRegister User Via Attested KYC
      • POSTRegister User Via Document
      • POSTRegister User Via Share Token
      • POSTSend Gasless Withdraw Transaction (EVM USDC/SBC/EuroE only)
      • POSTValidate KYC Information
LogoLogo
RegisterLoginSandbox Login
API ReferenceWithdraw

Create Bank Account (v2)

POST
https://api-sandbox.coinflow.cash/api/withdraw/account/v2
POST
/api/withdraw/account/v2
$curl -X POST https://api-sandbox.coinflow.cash/api/withdraw/account/v2 \
> -H "x-coinflow-auth-user-id: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "alias": "string",
> "routingNumber": "string",
> "accountNumber": "string",
> "type": "checking"
>}'
200Successful
1{
2 "withdrawer": {
3 "_id": "string",
4 "wallet": "string",
5 "blockchain": "solana",
6 "wallets": [
7 {
8 "wallet": "string",
9 "blockchain": "solana"
10 }
11 ],
12 "email": "string",
13 "availability": {
14 "status": "Functional",
15 "reason": "string",
16 "editor": "string",
17 "updatedAt": "2024-01-15T09:30:00Z"
18 },
19 "currency": "USD",
20 "merchant": "string",
21 "verification": {
22 "reference": "string",
23 "status": "pending",
24 "vendor": "middesk",
25 "name": "string",
26 "attested": true,
27 "shareToken": "string",
28 "shareTokenStatus": "string",
29 "sessionToken": "string"
30 },
31 "riskScoreOverride": true,
32 "country": "string",
33 "bankAccounts": [
34 {
35 "last4": "string",
36 "accountHash": "string",
37 "alias": "string",
38 "token": "string",
39 "reference": "string",
40 "accountNumberOnlyHash": "string",
41 "isDeleted": true,
42 "isTokenized": true,
43 "accountNumber": "string"
44 }
45 ],
46 "cards": [
47 {
48 "last4": "string",
49 "token": "string",
50 "type": "VISA",
51 "disbursementStatus": "Immediate",
52 "createdAt": "2024-01-15T09:30:00Z",
53 "isDeleted": true,
54 "currency": "USD",
55 "nameOnCard": "string",
56 "expMonth": "string",
57 "expYear": "string"
58 }
59 ],
60 "ibans": [
61 {
62 "last4": "string",
63 "accountHash": "string",
64 "alias": "string",
65 "token": "string",
66 "reference": "string",
67 "sortCode": "string",
68 "bic": "string"
69 }
70 ],
71 "pixes": [
72 {
73 "key": "string",
74 "accountHash": "string",
75 "token": "string"
76 }
77 ],
78 "efts": [
79 {
80 "accountHash": "string",
81 "alias": "string",
82 "token": "string",
83 "reference": "string",
84 "mask": "string",
85 "isDeleted": true,
86 "accountNumber": "string",
87 "institutionId": "string",
88 "institution": "string",
89 "transit_number": "string"
90 }
91 ],
92 "p2cAvailable": true,
93 "applePayAvailable": true,
94 "bankCurrencyOptions": [
95 "USD"
96 ],
97 "originalCurrency": "USD",
98 "geoBlockOverride": {
99 "reason": "string",
100 "setBy": "string",
101 "setAt": "2024-01-15T09:30:00Z",
102 "expiresAt": "2024-01-15T09:30:00Z"
103 },
104 "venmo": {
105 "alias": "string",
106 "token": "string",
107 "type": "venmo",
108 "isDeleted": true
109 },
110 "paypal": {
111 "alias": "string",
112 "token": "string",
113 "type": "paypal",
114 "isDeleted": true
115 },
116 "interac": {
117 "alias": "string",
118 "token": "string",
119 "type": "interac",
120 "isDeleted": true
121 }
122 }
123}
Creates a bank account for a particular user or business
Was this page helpful?
Previous

Create Debit Card

Next
Built with

Authentication

x-coinflow-auth-user-idstring
The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
aliasstringRequired
routingNumberstringRequired
accountNumberstringRequired
typeenumRequired
Allowed values:
wireRoutingNumberstringOptional
addressobjectOptional
If address is not available on the user's KYC,the endpoint will return a 412 error and the request must be retried with the user's address information.
namestringOptional
firstNamestringOptional
lastNamestringOptional

Response

Ok
withdrawerobject

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key